### Method

# Json Reader get_value

since: 0.12

#### Declaration [src]

    JsonNode*
    json_reader_get_value (
      JsonReader* reader
    )

#### Description [src]

Retrieves the value node at the current position of the reader.

If the current position does not contain a scalar value, the reader is set to an error state.

Available since: 0.12

#### Return value

Type: `JsonNode`

The current value node.

The returned data is owned by the instance.
The return value can be `NULL`.